local function add_structure(f)
	if(f) then
		f.shape_table_data = 
		{
			{
				file  	    = f.ShapeName,
				life		= f.Life,
				username    = f.Name,
				desrt       = f.ShapeNameDestr or "self",
				fire  	 	= { 300, 2}; 	
			    classname 	= f.classname   or "lLandVehicle",
				positioning = f.positioning or "ADD_HEIGTH" -- {"BYNORMAL", "ONLYHEIGTH", "BY_XZ", "ADD_HEIGTH"}
			}
		}
		if f.ShapeNameDestr then
			f.shape_table_data[#f.shape_table_data + 1] = 
			{
				name  = f.ShapeNameDestr,
				file  = f.ShapeNameDestr,
				fire  		= { 240, 2};	
			}
		end
		
		
		f.mapclasskey = "P0091000076";
		f.attribute = {wsType_Static, wsType_Standing}
		
		add_surface_unit(f)
		GT = nil;
	else
		error("Can't add structure")
	end;
end
---------- Vehicles ----------
add_structure({
Name 		 =  "Static_Vulcan",  -- Static_Vulcan
DisplayName  = _("Static_Vulcan"),
ShapeName	 =   "Static_Vulcan",
ShapeNameDestr = "Static_Vulcan_destr",
Life		 =  10,
Rate		 =  5,
category     =  'ADEquipment',
SeaObject    = 	false,
isPutToWater =  false,
})
add_structure({
Name 		 =  "Victor_Static",  -- Static Victor
DisplayName  = _("Camo 1 Victor Static"),
ShapeName	 =   "Victor_Static",
ShapeNameDestr = "Victor_Static_destr",
Life		 =  10,
Rate		 =  5,
category     =  'ADEquipment',
SeaObject    = 	false,
isPutToWater =  false,
})
add_structure({
Name 		 =  "GR_Victor_Static",  -- Static_Victor 2
DisplayName  = _("Camo 2 Static Victor"),
ShapeName	 =   "GR_Victor_Static",
ShapeNameDestr = "Victor_Static_destr",
Life		 =  10,
Rate		 =  5,
category     =  'ADEquipment',
SeaObject    = 	false,
isPutToWater =  false,
})
add_structure({
Name 		 =  "WH_Victor_Static",  -- Static_Victor 3
DisplayName  = _("Camo 3 Static Victor"),
ShapeName	 =   "WH_Victor_Static",
ShapeNameDestr = "Victor_Static_destr",
Life		 =  10,
Rate		 =  5,
category     =  'ADEquipment',
SeaObject    = 	false,
isPutToWater =  false,
})